RDKit: RDKit::CIPLabeler::Rule2 Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDKit::CIPLabeler::Rule2 Class Reference

`#include <Rule2.h>`

Inheritance diagram for RDKit::CIPLabeler::Rule2:

## Public Member Functions
| Rule2 ()
int | compare (const Edge *a, const Edge *b) const override
Public Member Functions inherited from RDKit::CIPLabeler::SequenceRule
| SequenceRule ()
virtual | ~SequenceRule ()
Descriptor | getBondLabel (const Edge *edge) const
int | getComparision (const Edge *a, const Edge *b) const
virtual int | getComparision (const Edge *a, const Edge *b, bool deep) const
virtual const Sort * | getSorter () const
int | recursiveCompare (const Edge *a, const Edge *b) const
void | setSorter (const Sort *sorter)
Priority | sort (const Node *node, std::vector< Edge * > &edges, bool deep) const
Priority | sort (const Node *node, std::vector< Edge * > &edges) const

## Additional Inherited Members
Protected Attributes inherited from RDKit::CIPLabeler::SequenceRule
std::unique_ptr< const Sort > | dp_sorter = nullptr

## Detailed Description

Sequence Rule 2 "Higher atomic mass number precedes lower."

To resolve the ambiguity of what the "atomic mass" is in case of duplicate nodes, isotpes, etc, this is implmemented as the "proposed" rule 2 from the original paper:

"Higher mass precedes lower mass, where mass is defined in the case of a duplicate node as 0, an atom with isotope indicated as its exact isotopic mass, and in all other cases as the element’s atomic weight."

Definition at line 33 of file Rule2.h.

## Constructor & Destructor Documentation

## ◆ Rule2()

RDKit::CIPLabeler::Rule2::Rule2 | ( |  | ) |

## Member Function Documentation

## ◆ compare()

int RDKit::CIPLabeler::Rule2::compare | ( | const Edge * | a,
|  | const Edge * | b ) const
| overridevirtual

Implements RDKit::CIPLabeler::SequenceRule.

The documentation for this class was generated from the following file:

- Rule2.h